Subject: Re: bug#28332: 26.0.50; vc-svn: calling revert-buffer multiple causes scrolling of buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 03 Sep 2021 10:02:45 +0200

Eli Zaretskii <[email-masked]> writes:

>> That will move the buffer one line.  The vc-dired buffer in question
>> has around 300 lines, the window can show 100x26.
>> 
>>    Also how long is "relatively long"?  Is longer than the window shows
>>    good enough, or are there other conditions to be satisfied for tyhis
>>    to show up?
>> 
>> If the buffer is shorter than the screen, then g (revert-buffer)
>> behaves as if previous-line was called.
>
> Right, I see this as well, thanks.  It is not specific to SVN, though:
> I see the same in a vc-dir buffer showing a Git or Bazaar repository.

I'm not seeing this behaviour (in Emacs 26.1 or 28) -- `g' recenters the
window, though.  Are there any additional steps needed (than having a
long list of files in vc-dir and a shorter window than that)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no